## EmpathyAvatarChooser EmpathyAvatarChooser |

## Synopsis

                        EmpathyAvatarChooser;
    GtkWidget*          empathy_avatar_chooser_new          (void);
    void                empathy_avatar_chooser_set          (EmpathyAvatarChooser *chooser,
                                                             EmpathyAvatar *avatar);
    void                empathy_avatar_chooser_get_image_data
                                                            (EmpathyAvatarChooser *chooser,
                                                             const gchar **data,
                                                             gsize *data_size,
                                                             const gchar **mime_type);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkButton
                                           +----EmpathyAvatarChooser

## Implemented Interfaces

EmpathyAvatarChooser implements AtkImplementorIface and GtkBuildable.

## Signals

      "changed"                                        : Run Last

## Description

## Details

### EmpathyAvatarChooser

    typedef struct _EmpathyAvatarChooser EmpathyAvatarChooser;

### empathy_avatar_chooser_new ()

    GtkWidget*          empathy_avatar_chooser_new          (void);

Returns : |

### empathy_avatar_chooser_set ()

    void                empathy_avatar_chooser_set          (EmpathyAvatarChooser *chooser,
                                                             EmpathyAvatar *avatar);

`chooser` : |
`avatar` : |

### empathy_avatar_chooser_get_image_data ()

    void                empathy_avatar_chooser_get_image_data
                                                            (EmpathyAvatarChooser *chooser,
                                                             const gchar **data,
                                                             gsize *data_size,
                                                             const gchar **mime_type);

`chooser` : |
`data` : |
`data_size` : |
`mime_type` : |

## Signal Details

### The `"changed"` signal

    void                user_function                      (EmpathyAvatarChooser *empathyavatarchooser,
                                                            gpointer              user_data)                 : Run Last

`empathyavatarchooser` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.